Skip to main content
GET
Get Space Posts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

space.read

View all Spaces you have access to.

tweet.read

View all Posts you can see, including those from protected accounts.

users.read

View any account you can see, including protected accounts.

Path Parameters

id
string
required

The ID of the Space to be retrieved. The unique identifier of this Space.

Pattern: ^[a-zA-Z0-9]{1,13}$
Example:

"1SLjjRYNejbKM"

Query Parameters

max_results
integer<int32>
default:100

The number of Posts to fetch from the provided space. If not provided, the value will default to the maximum of 100.

Required range: 1 <= x <= 100
Example:

25

tweet.fields
enum<string>[]

A comma separated list of Tweet fields to display. The fields available for a Tweet object.

Minimum array length: 1
Available options:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
Example:
expansions
enum<string>[]

A comma separated list of fields to expand. The list of fields you can expand for a Tweet object. If the field has an ID, it can be expanded into a full object.

Minimum array length: 1
Available options:
article.cover_media,
article.media_entities,
attachments.media_keys,
attachments.media_source_tweet,
attachments.poll_ids,
author_id,
edit_history_tweet_ids,
entities.mentions.username,
geo.place_id,
in_reply_to_user_id,
entities.note.mentions.username,
referenced_tweets.id,
referenced_tweets.id.attachments.media_keys,
referenced_tweets.id.author_id
Example:
media.fields
enum<string>[]

A comma separated list of Media fields to display. The fields available for a Media object.

Minimum array length: 1
Available options:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
Example:
poll.fields
enum<string>[]

A comma separated list of Poll fields to display. The fields available for a Poll object.

Minimum array length: 1
Available options:
duration_minutes,
end_datetime,
id,
options,
voting_status
Example:
user.fields
enum<string>[]

A comma separated list of User fields to display. The fields available for a User object.

Minimum array length: 1
Available options:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Example:
place.fields
enum<string>[]

A comma separated list of Place fields to display. The fields available for a Place object.

Minimum array length: 1
Available options:
contained_within,
country,
country_code,
full_name,
geo,
id,
name,
place_type
Example:

Response

The request has succeeded.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).

includes
object
meta
object